Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Network_Priority_Mapping_Manager Class Reference

Network_Priority_Mapping_Manager pseudo-objref. More...

`#include <Network_Priority_Mapping_Manager.h>`

Inheritance diagram for TAO_Network_Priority_Mapping_Manager:

[legend]
Collaboration diagram for TAO_Network_Priority_Mapping_Manager:

[legend]
List of all members.

## Public Types
typedef TAO_Network_Priority_Mapping_Manager_ptr | _ptr_type
typedef TAO_Network_Priority_Mapping_Manager_var | _var_type
## Public Methods
| TAO_Network_Priority_Mapping_Manager (RTCORBA::NetworkPriorityMapping *mapping)
| Constructor. More...
void | mapping (RTCORBA::NetworkPriorityMapping *mapping)
RTCORBA::NetworkPriorityMapping * | mapping (void)
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
TAO_Network_Priority_Mapping_Manager_ptr | _duplicate (TAO_Network_Priority_Mapping_Manager_ptr obj)
TAO_Network_Priority_Mapping_Manager_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
TAO_Network_Priority_Mapping_Manager_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
TAO_Network_Priority_Mapping_Manager_ptr | _nil (void)
## Protected Methods
| ~TAO_Network_Priority_Mapping_Manager (void)
| Protected destructor to enforce proper memory management of this reference counted object. More...
## Private Methods
| TAO_Network_Priority_Mapping_Manager (const TAO_Network_Priority_Mapping_Manager &)
void | operator= (const TAO_Network_Priority_Mapping_Manager &)
## Private Attributes
TAO_Network_Priority_Mapping * | mapping_

## Detailed Description

Network_Priority_Mapping_Manager pseudo-objref.

Allows setting of user-defined Network_Priority_Mapping at run-time.

## Member Typedef Documentation

typedef TAO_Network_Priority_Mapping_Manager_ptr TAO_Network_Priority_Mapping_Manager::_ptr_type

| Reimplemented from CORBA_LocalObject.

typedef TAO_Network_Priority_Mapping_Manager_var TAO_Network_Priority_Mapping_Manager::_var_type

| Reimplemented from CORBA_LocalObject.

## Constructor & Destructor Documentation

TAO_Network_Priority_Mapping_Manager::TAO_Network_Priority_Mapping_Manager | ( | RTCORBA::NetworkPriorityMapping * | mapping | ) |

| Constructor.

TAO_Network_Priority_Mapping_Manager::~TAO_Network_Priority_Mapping_Manager | ( | void |  | ) | `[protected]`

| Protected destructor to enforce proper memory management of this reference counted object.

TAO_Network_Priority_Mapping_Manager::TAO_Network_Priority_Mapping_Manager | ( | const TAO_Network_Priority_Mapping_Manager & |  | ) | `[private]`

## Member Function Documentation

TAO_Network_Priority_Mapping_Manager_ptr TAO_Network_Priority_Mapping_Manager::_duplicate | ( | TAO_Network_Priority_Mapping_Manager_ptr | obj | ) | `[static]`

const char * TAO_Network_Priority_Mapping_Manager::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA_Object.

TAO_Network_Priority_Mapping_Manager_ptr TAO_Network_Priority_Mapping_Manager::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL | ) | `[static]`

| Reimplemented from CORBA_LocalObject.

TAO_Network_Priority_Mapping_Manager_ptr TAO_Network_Priority_Mapping_Manager::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA_LocalObject.

void * TAO_Network_Priority_Mapping_Manager::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from CORBA_Object.

TAO_Network_Priority_Mapping_Manager_ptr TAO_Network_Priority_Mapping_Manager::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

| Reimplemented from CORBA_LocalObject.

RTCORBA::NetworkPriorityMapping* TAO_Network_Priority_Mapping_Manager::mapping | ( | void |  | ) |

void TAO_Network_Priority_Mapping_Manager::mapping | ( | RTCORBA::NetworkPriorityMapping * | mapping | ) |

void TAO_Network_Priority_Mapping_Manager::operator= | ( | const TAO_Network_Priority_Mapping_Manager & |  | ) | `[private]`

## Member Data Documentation

TAO_Network_Priority_Mapping* TAO_Network_Priority_Mapping_Manager::mapping_`[private]`

The documentation for this class was generated from the following files:

- Network_Priority_Mapping_Manager.h
- Network_Priority_Mapping_Manager.cpp